Get a single artifact by ID, with consumer count and orphan flag.
curl --request GET \
--url https://api.example.com/api/v1/artifacts/{artifact_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/v1/artifacts/{artifact_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/v1/artifacts/{artifact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artifact_type": "<string>",
"connected_org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"registry_url": "<string>",
"source_repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"version": "<string>",
"consumer_count": 0,
"is_first_party": true,
"is_orphan": false,
"source_repository": {
"full_path": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}artifacts
Get a single artifact by ID, with consumer count and orphan flag.
Fetch an artifact by ID in the caller’s workspace, with consumer_count and is_orphan from the latest scan. Requires the Pro artifact dashboard; 404 if not found.
GET
/
api
/
v1
/
artifacts
/
{artifact_id}
Get a single artifact by ID, with consumer count and orphan flag.
Authorizations
APIKeyHeaderHTTPBearer
Headers
Path Parameters
Cookies
Response
Successful Response
An artifact (Docker image, Python package, Terraform module, etc.).
Minimal representation of the repository that produces an artifact.
Show child attributes
Show child attributes
